%define upstream_name    File-CodeSearch
%define upstream_version v0.5.7

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Search file contents in code repositories
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl-autodie >= 2.190.0
BuildRequires: perl(Carp)
BuildRequires: perl(Clone)
BuildRequires: perl(Config::General)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::chdir)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Prompt)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Tiny) >= 0.5.0
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Readonly)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Term::Size::Any)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This class allows you to search file contents in code repositories.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/cs
/usr/share/man/man1/cs.1.xz


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.5.7-2.mga4
+ Revision: 530258
- Mageia 4 Mass Rebuild

* Sun Jul 21 2013 sander85 <sander85> 0.5.7-1.mga4
+ Revision: 456918
- update to v0.5.7

* Wed Jun 19 2013 shlomif <shlomif> 0.5.6-1.mga4
+ Revision: 445058
- Fix BRs
- New version v0.5.6

* Sun Jan 13 2013 umeabot <umeabot> 0.5.5-2.mga3
+ Revision: 367148
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 09 2011 kharec <kharec> 0.5.5-1.mga2
+ Revision: 179725
- Add BR on Term::Size::Perl
- update to v0.5.5

* Fri Dec 09 2011 kharec <kharec> 0.5.2-1.mga2
+ Revision: 179659
- Add a BR on Term::Size::Perl
- imported package perl-File-CodeSearch


* Fri Dec 09 2011 cpan2dist v0.5.2-1mga
- initial mageia release, generated with cpan2dist
